import { Vim, vim as vim$1 } from '@replit/codemirror-vim';

const vim = (options) => {
  const { map, unmap } = options;
  if (map?.length) {
    map.forEach(({ before, after, mode }) => {
      Vim.map(before, after, mode);
    });
  }
  if (unmap?.length) {
    unmap.forEach(({ before, mode }) => {
      Vim.unmap(before, mode);
    });
  }
  return vim$1();
};

export { vim };
//# sourceMappingURL=vim-c05eac80.js.map
