import { getNextElement as m, getNextMarker as h, insert as g, createComponent as d, effect as ge, setAttribute as Ee, runHydrationEvents as ve, delegateEvents as He, template as p, use as Te, memo as mn, spread as gn, mergeProps as pn, hydrate as kn, render as hn } from "solid-js/web";
import { syntaxTree as ce, syntaxHighlighting as De, HighlightStyle as Pe } from "@codemirror/language";
import { SelectionRange as bn, EditorSelection as xn, Compartment as ye, RangeSetBuilder as Oe, EditorState as vn, StateField as yn, RangeSet as te } from "@codemirror/state";
import { defaultKeymap as wn, historyKeymap as $n, history as _n } from "@codemirror/commands";
import { EditorView as V, Decoration as j, ViewPlugin as qe, keymap as Mn } from "@codemirror/view";
import { markdown as Ie, markdownLanguage as Re } from "@codemirror/lang-markdown";
import { languages as Ne } from "@codemirror/language-data";
import { tags as u, Tag as Sn } from "@lezer/highlight";
import { createSignal as N, onMount as Ve, onCleanup as Cn, For as Ln, Show as x, createEffect as En, createContext as jn, useContext as Bn } from "solid-js";
import { plugin as J, pluginTypes as An } from "ink-mde";
const zn = "data-ink-mde-ssr-hydration-marker", Hn = `[${zn}]`, Tn = () => ({}), Dn = ([e]) => {
  const { editor: n } = e();
  n.destroy();
}, pe = ([e]) => {
  const { editor: n } = e();
  n.hasFocus || n.focus();
}, We = (e) => {
  const n = e.map((t) => bn.fromJSON({ anchor: t.start, head: t.end }));
  return xn.create(n);
}, Fe = (e) => e.ranges.map((t) => ({
  end: t.anchor < t.head ? t.head : t.anchor,
  start: t.head < t.anchor ? t.head : t.anchor
}));
var ae = /* @__PURE__ */ ((e) => (e.Auto = "auto", e.Dark = "dark", e.Light = "light", e))(ae || {}), v = /* @__PURE__ */ ((e) => (e.Bold = "bold", e.Code = "code", e.CodeBlock = "code_block", e.Heading = "heading", e.Image = "image", e.Italic = "italic", e.Link = "link", e.List = "list", e.OrderedList = "ordered_list", e.Quote = "quote", e.TaskList = "task_list", e))(v || {}), ke = /* @__PURE__ */ ((e) => (e.End = "end", e.Start = "start", e))(ke || {});
const je = {
  auto: "auto",
  dark: "dark",
  light: "light"
}, U = {
  completion: "completion",
  default: "default",
  grammar: "grammar",
  language: "language"
}, A = (e) => ({ ...{
  block: !1,
  line: !1,
  multiline: !1,
  nodes: [],
  prefix: "",
  prefixStates: [],
  suffix: ""
}, ...e }), Pn = {
  [v.Bold]: A({
    nodes: ["StrongEmphasis"],
    prefix: "**",
    suffix: "**"
  }),
  [v.Code]: A({
    nodes: ["InlineCode"],
    prefix: "`",
    suffix: "`"
  }),
  [v.CodeBlock]: A({
    block: !0,
    nodes: ["FencedCode"],
    prefix: "```\n",
    suffix: "\n```"
  }),
  [v.Heading]: A({
    multiline: !0,
    nodes: ["ATXHeading1", "ATXHeading2", "ATXHeading3", "ATXHeading4", "ATXHeading5", "ATXHeading6"],
    prefix: "# ",
    prefixStates: ["# ", "## ", "### ", "#### ", "##### ", "###### ", ""]
  }),
  [v.Image]: A({
    nodes: ["Image"],
    prefix: "![](",
    suffix: ")"
  }),
  [v.Italic]: A({
    nodes: ["Emphasis"],
    prefix: "*",
    suffix: "*"
  }),
  [v.Link]: A({
    nodes: ["Link"],
    prefix: "[](",
    suffix: ")"
  }),
  [v.OrderedList]: A({
    line: !0,
    multiline: !0,
    nodes: ["OrderedList"],
    prefix: "1. "
  }),
  [v.Quote]: A({
    line: !0,
    multiline: !0,
    nodes: ["Blockquote"],
    prefix: "> "
  }),
  [v.TaskList]: A({
    line: !0,
    multiline: !0,
    nodes: ["BulletList"],
    prefix: "- [ ] "
  }),
  [v.List]: A({
    line: !0,
    multiline: !0,
    nodes: ["BulletList"],
    prefix: "- "
  })
}, On = ({ editor: e, selection: n }) => {
  let t = n.start;
  const r = [];
  for (; t <= n.end; ) {
    const o = e.lineBlockAt(t), i = Math.max(n.start, o.from), s = Math.min(n.end, o.to);
    r.push({ start: i, end: s }), t = o.to + 1;
  }
  return r;
}, qn = ({ editor: e, formatDefinition: n, selection: t }) => {
  if (!e || !n)
    return t || { start: 0, end: 0 };
  const r = t || Fe(e.state.selection).pop() || { start: 0, end: 0 };
  if (n.block || n.line || n.multiline) {
    const s = e.lineBlockAt(r.start).from, a = e.lineBlockAt(r.end).to;
    return { start: s, end: a };
  }
  const o = e.state.wordAt(r.start)?.from || r.start, i = e.state.wordAt(r.end)?.to || r.end;
  return { start: o, end: i };
}, Ue = (e) => e.editor.state.sliceDoc(e.selection.start, e.selection.end), In = (e, n, t) => Rn(e, t).find(({ type: o }) => n.nodes.includes(o.name)), Rn = (e, n) => {
  const t = [];
  return ce(e.state).iterate({
    from: n.start,
    to: n.end,
    enter: ({ type: r, from: o, to: i }) => {
      t.push({ type: r, from: o, to: i });
    }
  }), t;
}, we = (e) => {
  const n = Ue(e), t = e.formatDefinition.prefix.length, r = e.formatDefinition.suffix.length * -1 || n.length, o = n.slice(t, r);
  return [{ from: e.selection.start, to: e.selection.end, insert: o }];
}, Nn = (e) => {
  if (e.node) {
    const n = e.node.from, t = e.node.to;
    return we({ ...e, selection: { start: n, end: t } });
  } else {
    const n = e.formatDefinition.prefix, t = e.formatDefinition.suffix;
    return [
      { from: e.selection.start, insert: n },
      { from: e.selection.end, insert: t }
    ];
  }
}, Vn = (e) => {
  const n = On(e), t = [];
  return n.forEach((r) => {
    const o = Qe({ ...e, selection: r });
    t.push(...o);
  }), t;
}, Qe = (e) => {
  const n = e.formatDefinition.prefixStates.length > 0, t = Ue(e);
  if (e.node && n) {
    const r = e.formatDefinition.prefixStates.find((o) => t.startsWith(o));
    if (r) {
      const o = e.formatDefinition.prefixStates.indexOf(r), i = e.formatDefinition.prefixStates[o + 1], s = t.replace(new RegExp(`^${r}`), i);
      return [{ from: e.selection.start, to: e.selection.end, insert: s }];
    }
  } else if (e.node && t.startsWith(e.formatDefinition.prefix))
    return we(e);
  return [{ from: e.selection.start, insert: e.formatDefinition.prefix }];
}, Wn = (e) => {
  if (e.node) {
    const n = e.node.from, t = e.node.to;
    return we({ ...e, selection: { start: n, end: t } });
  } else {
    const { formatDefinition: n, selection: t } = e, r = Array.isArray(n.prefix) ? n.prefix[0] : n.prefix, o = n.suffix;
    return [
      { from: t.start, insert: r },
      { from: t.end, insert: o }
    ];
  }
}, Fn = (e) => e.formatDefinition.block ? Nn(e) : e.formatDefinition.multiline ? Vn(e) : e.formatDefinition.line ? Qe(e) : Wn(e), Xe = ([e], n, { selection: t } = {}) => {
  const { editor: r } = e(), o = Pn[n], i = qn({ editor: r, formatDefinition: o, selection: t }), s = In(r, o, i), l = Fn({
    editor: r,
    formatDefinition: o,
    node: s,
    selection: i
  }), c = l.reduce((y, w) => {
    const M = w.insert.length - ((w.to || w.from) - w.from);
    return y + M;
  }, 0), f = e().editor.state.update({ changes: l, selection: { head: i.start, anchor: i.end + c } });
  e().editor.dispatch(f);
}, Un = ([e]) => {
  const { editor: n } = e();
  return n.state.sliceDoc();
}, $e = ([e]) => {
  const { editor: n } = e();
  return Fe(n.state.selection);
}, de = ([e, n], t, r, o = !1) => {
  const { editor: i } = e();
  let s = r?.start, a = r?.end || r?.start;
  if (typeof s > "u") {
    const c = $e([e, n]).pop();
    s = c.start, a = c.end;
  }
  const l = { changes: { from: s, to: a, insert: t } };
  if (o) {
    const c = s === a ? s + t.length : s, f = s + t.length;
    Object.assign(l, { selection: { anchor: c, head: f } });
  }
  i.dispatch(
    i.state.update(l)
  );
}, R = {
  array: "[object Array]",
  object: "[object Object]",
  string: "[object String]",
  undefined: "[object Undefined]",
  window: "[object Window]"
}, Qn = (e) => {
  if (Object.prototype.toString.call(e) === R.object)
    return `[object ${e.constructor.name}]`;
}, F = (e, n) => Qn(e) === n, Xn = (e, n) => {
  const t = /* @__PURE__ */ new WeakMap(), r = (o, i) => t.get(o) || (F(o, R.object) && t.set(o, !0), F(i, R.undefined)) ? o : F(o, R.array) && F(i, R.array) ? [...i] : F(o, R.object) && F(i, R.object) ? Object.keys(o).reduce((s, a) => (Object.hasOwnProperty.call(i, a) ? s[a] = r(o[a], i[a]) : s[a] = o[a], s), {}) : i;
  return r(e, n);
}, ee = (e, n) => Xn(e, n), Be = () => document.createElement("div"), Ke = () => window.matchMedia("(prefers-color-scheme: dark)").matches, Kn = (e) => e === ae.Dark ? !0 : e === ae.Light ? !1 : Ke(), me = (e) => {
  const n = [
    // --ink-*
    { suffix: "border-radius", default: "0.25rem" },
    { suffix: "color", default: "currentColor" },
    { suffix: "flex-direction", default: "column" },
    { suffix: "font-family", default: "inherit" },
    // --ink-block-*
    { suffix: "block-background-color", default: "#121212", light: "#f5f5f5" },
    { suffix: "block-background-color-on-hover", default: "#0f0f0f", light: "#e0e0e0" },
    { suffix: "block-max-height", default: "20rem" },
    { suffix: "block-padding", default: "0.5rem" },
    // --ink-code-*
    { suffix: "code-background-color", default: "var(--ink-internal-block-background-color)" },
    { suffix: "code-color", default: "inherit" },
    { suffix: "code-font-family", default: "'Monaco', Courier, monospace" },
    // --ink-editor-*
    { suffix: "editor-font-size", default: "1em" },
    { suffix: "editor-line-height", default: "2em" },
    { suffix: "editor-padding", default: "0.5rem" },
    { suffix: "inline-padding", default: "0.125rem" },
    // --ink-modal-*
    { suffix: "modal-position", default: "fixed" },
    // --ink-syntax-*
    { suffix: "syntax-atom-color", default: "#d19a66" },
    { suffix: "syntax-comment-color", default: "#abb2bf" },
    { suffix: "syntax-comment-font-style", default: "italic" },
    { suffix: "syntax-emphasis-color", default: "inherit" },
    { suffix: "syntax-emphasis-font-style", default: "italic" },
    { suffix: "syntax-hashtag-background-color", default: "#222", light: "#eee" },
    { suffix: "syntax-hashtag-color", default: "inherit" },
    { suffix: "syntax-heading-color", default: "inherit" },
    { suffix: "syntax-heading-font-weight", default: "600" },
    { suffix: "syntax-heading1-color", default: "var(--ink-internal-syntax-heading-color, inherit)" },
    { suffix: "syntax-heading1-font-size", default: "1.6em" },
    { suffix: "syntax-heading1-font-weight", default: "600" },
    { suffix: "syntax-heading2-color", default: "var(--ink-internal-syntax-heading-color, inherit)" },
    { suffix: "syntax-heading2-font-size", default: "1.5em" },
    { suffix: "syntax-heading2-font-weight", default: "600" },
    { suffix: "syntax-heading3-color", default: "var(--ink-internal-syntax-heading-color, inherit)" },
    { suffix: "syntax-heading3-font-size", default: "1.4em" },
    { suffix: "syntax-heading3-font-weight", default: "600" },
    { suffix: "syntax-heading4-color", default: "var(--ink-internal-syntax-heading-color, inherit)" },
    { suffix: "syntax-heading4-font-size", default: "1.3em" },
    { suffix: "syntax-heading4-font-weight", default: "600" },
    { suffix: "syntax-heading5-color", default: "var(--ink-internal-syntax-heading-color, inherit)" },
    { suffix: "syntax-heading5-font-size", default: "1.2em" },
    { suffix: "syntax-heading5-font-weight", default: "600" },
    { suffix: "syntax-heading6-color", default: "var(--ink-internal-syntax-heading-color, inherit)" },
    { suffix: "syntax-heading6-font-size", default: "1.1em" },
    { suffix: "syntax-heading6-font-weight", default: "600" },
    { suffix: "syntax-highlight-background-color", default: "#555555" },
    { suffix: "syntax-keyword-color", default: "#c678dd" },
    { suffix: "syntax-link-color", default: "inherit" },
    { suffix: "syntax-meta-color", default: "#abb2bf" },
    { suffix: "syntax-monospace-color", default: "var(--ink-internal-code-color)" },
    { suffix: "syntax-monospace-font-family", default: "var(--ink-internal-code-font-family)" },
    { suffix: "syntax-name-color", default: "#d19a66" },
    { suffix: "syntax-name-label-color", default: "#abb2bf" },
    { suffix: "syntax-name-property-color", default: "#96c0d8" },
    { suffix: "syntax-name-property-definition-color", default: "#e06c75" },
    { suffix: "syntax-name-variable-color", default: "#e06c75" },
    { suffix: "syntax-name-variable-definition-color", default: "#e5c07b" },
    { suffix: "syntax-name-variable-local-color", default: "#d19a66" },
    { suffix: "syntax-name-variable-special-color", default: "inherit" },
    { suffix: "syntax-number-color", default: "#d19a66" },
    { suffix: "syntax-operator-color", default: "#96c0d8" },
    { suffix: "syntax-processing-instruction-color", default: "#444444", light: "#bbbbbb" },
    { suffix: "syntax-punctuation-color", default: "#abb2bf" },
    { suffix: "syntax-strikethrough-color", default: "inherit" },
    { suffix: "syntax-strikethrough-text-decoration", default: "line-through" },
    { suffix: "syntax-string-color", default: "#98c379" },
    { suffix: "syntax-string-special-color", default: "inherit" },
    { suffix: "syntax-strong-color", default: "inherit" },
    { suffix: "syntax-strong-font-weight", default: "600" },
    { suffix: "syntax-url-color", default: "#aaaaaa", light: "#666666" },
    { suffix: "toolbar-group-spacing", default: "2rem" },
    { suffix: "toolbar-item-spacing", default: "0" }
  ], t = !Kn(e.options.interface.appearance);
  return n.map((r) => {
    const o = t && r.light ? r.light : r.default;
    return `--ink-internal-${r.suffix}: var(--ink-${r.suffix}, ${o});`;
  });
}, Yn = {
  array: "[object Array]",
  asyncFunction: "[object AsyncFunction]",
  boolean: "[object Boolean]",
  function: "[object Function]",
  null: "[object Null]",
  number: "[object Number]",
  object: "[object Object]",
  promise: "[object Promise]",
  string: "[object String]",
  symbol: "[object Symbol]",
  undefined: "[object Undefined]",
  window: "[object Window]"
}, Zn = (e, n) => Object.prototype.toString.call(n) === e, Ye = (e) => Zn(Yn.promise, e), ue = (e) => et(e, Ye), Jn = (e, n) => n.type === e, Gn = (e, n) => !!e && e in n, Q = (e, n) => Ze(n.plugins).reduce((t, r) => (Jn(e, r) && (!r.key || Gn(r.key, n) && n[r.key]) && t.push(r.value), t), []), Ze = (e) => e.reduce((n, t) => Array.isArray(t) ? n.concat(Ze(t)) : n.concat(t), []), et = (e, n) => e.reduce((t, r) => (n(r) ? t[0].push(r) : t[1].push(r), t), [[], []]), nt = (e) => [
  V.theme({}, { dark: e })
], tt = ([e, n]) => {
  const t = [], [r, o] = rt(e().options), [i, s] = ot(e().options);
  return Math.max(r.length, i.length) > 0 && e().workQueue.enqueue(async () => {
    const a = await fe([e, n]);
    e().editor.dispatch({ effects: a });
  }), Ie({
    base: Re,
    codeLanguages: [...Ne, ...s],
    extensions: [...t, ...o]
  });
}, rt = (e) => ue(Q(U.grammar, e)), ot = (e) => ue(Q(U.language, e)), it = async ([e]) => {
  const n = [], t = await Promise.all(Q(U.grammar, e().options)), r = await Promise.all(Q(U.language, e().options));
  return Ie({
    base: Re,
    codeLanguages: [...Ne, ...r],
    extensions: [...n, ...t]
  });
}, at = () => {
  const e = new ye();
  return {
    compartment: e,
    initialValue: (n) => e.of(tt(n)),
    reconfigure: async (n) => e.reconfigure(await it(n))
  };
}, st = ([e, n]) => e().extensions.map(
  (r) => r.initialValue([e, n])
), fe = async ([
  e,
  n
]) => await Promise.all(
  e().extensions.map(async (r) => await r.reconfigure([e, n]))
), lt = (e) => {
  const n = new ye();
  return {
    compartment: n,
    initialValue: (t) => n.of(e(t)),
    reconfigure: (t) => n.reconfigure(e(t))
  };
}, ct = (e) => {
  const n = new ye();
  return {
    compartment: n,
    initialValue: () => n.of([]),
    reconfigure: (t) => e(t, n)
  };
}, dt = () => [
  at(),
  ...ut.map((e) => lt(e)),
  ...ft.map((e) => ct(e))
], ut = [
  ([e]) => {
    const [n, t] = ue(
      Q(U.default, e().options)
    );
    return t;
  },
  ([e]) => {
    const n = e().options.interface.appearance === je.dark, t = e().options.interface.appearance === je.auto;
    return nt(n || t && Ke());
  }
], ft = [
  async ([e], n) => {
    const [t] = ue(
      Q(U.default, e().options)
    );
    return t.length > 0 ? n.reconfigure(await Promise.all(t)) : n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.interface.autocomplete) {
      const { autocomplete: t } = await import("./autocomplete-461e666f.js");
      return n.reconfigure(t(e().options));
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.interface.images) {
      const { images: t } = await import("./images-1efb4104.js");
      return n.reconfigure(t());
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    const { keybindings: t, trapTab: r } = e().options, o = r ?? t.tab, i = r ?? t.shiftTab;
    if (o || i) {
      const { indentWithTab: s } = await import("./indentWithTab-9c25ee81.js");
      return n.reconfigure(s({ tab: o, shiftTab: i }));
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.interface.lists) {
      const { lists: t } = await import("./lists-04ee5f26.js");
      return n.reconfigure(t());
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.placeholder) {
      const { placeholder: t } = await import("./placeholder-985d86f2.js");
      return n.reconfigure(t(e().options.placeholder));
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.interface.readonly) {
      const { readonly: t } = await import("./readonly-28fcecea.js");
      return n.reconfigure(t());
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.search) {
      const { search: t } = await import("./search-9c46866b.js");
      return n.reconfigure(t());
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.interface.spellcheck) {
      const { spellcheck: t } = await import("./spellcheck-9deeebb9.js");
      return n.reconfigure(t());
    }
    return n.reconfigure([]);
  },
  async ([e], n) => {
    if (e().options.vim.open) {
      const { vim: t } = await import("./vim-d360ff62.js");
      return n.reconfigure(t(e().options.vim));
    }
    return n.reconfigure([]);
  }
], mt = [
  "Blockquote"
], gt = j.line({ attributes: { class: "cm-blockquote" } }), pt = j.line({ attributes: { class: "cm-blockquote-open" } }), kt = j.line({ attributes: { class: "cm-blockquote-close" } }), ht = qe.define((e) => ({
  update: () => bt(e)
}), { decorations: (e) => e.update() }), bt = (e) => {
  const n = new Oe(), t = ce(e.state);
  for (const r of e.visibleRanges)
    for (let o = r.from; o < r.to; ) {
      const i = e.state.doc.lineAt(o);
      t.iterate({
        enter({ type: s, from: a, to: l }) {
          if (s.name !== "Document" && mt.includes(s.name)) {
            n.add(i.from, i.from, gt);
            const c = e.state.doc.lineAt(a), f = e.state.doc.lineAt(l);
            return c.number === i.number && n.add(i.from, i.from, pt), f.number === i.number && n.add(i.from, i.from, kt), !1;
          }
        },
        from: i.from,
        to: i.to
      }), o = i.to + 1;
    }
  return n.finish();
}, xt = () => [
  ht
], vt = [
  "CodeBlock",
  "FencedCode",
  "HTMLBlock",
  "CommentBlock"
], X = {
  // Prevent spellcheck in all code blocks. The Grammarly extension might not respect these values.
  "data-enable-grammarly": "false",
  "data-gramm": "false",
  "data-grammarly-skip": "true",
  spellcheck: "false"
}, yt = j.line({ attributes: { ...X, class: "cm-codeblock" } }), wt = j.line({ attributes: { ...X, class: "cm-codeblock-open" } }), $t = j.line({ attributes: { ...X, class: "cm-codeblock-close" } }), _t = j.mark({ attributes: { ...X, class: "cm-code" } }), Mt = j.mark({ attributes: { ...X, class: "cm-code cm-code-open" } }), St = j.mark({ attributes: { ...X, class: "cm-code cm-code-close" } }), Ct = qe.define((e) => ({
  update: () => Lt(e)
}), { decorations: (e) => e.update() }), Lt = (e) => {
  const n = new Oe(), t = ce(e.state);
  for (const r of e.visibleRanges)
    for (let o = r.from; o < r.to; ) {
      const i = e.state.doc.lineAt(o);
      let s;
      t.iterate({
        enter({ type: a, from: l, to: c }) {
          if (a.name !== "Document")
            if (vt.includes(a.name)) {
              n.add(i.from, i.from, yt);
              const f = e.state.doc.lineAt(l), y = e.state.doc.lineAt(c);
              return f.number === i.number && n.add(i.from, i.from, wt), y.number === i.number && n.add(i.from, i.from, $t), !1;
            } else
              a.name === "InlineCode" ? s = { from: l, to: c, innerFrom: l, innerTo: c } : a.name === "CodeMark" && (l === s.from ? (s.innerFrom = c, n.add(l, c, Mt)) : c === s.to && (s.innerTo = l, n.add(s.innerFrom, s.innerTo, _t), n.add(l, c, St)));
        },
        from: i.from,
        to: i.to
      }), o = i.to + 1;
    }
  return n.finish();
}, Et = () => [
  Ct
], jt = () => [
  V.editorAttributes.of({
    class: "ink-mde-container"
  }),
  V.contentAttributes.of({
    class: "ink-mde-editor-content"
  })
  // Todo: Maybe open a PR to add scrollerAttributes?
], Bt = () => [
  ...jt()
], At = () => V.lineWrapping, zt = () => [
  De(
    Pe.define([
      // ordered by lowest to highest precedence
      {
        tag: u.atom,
        color: "var(--ink-internal-syntax-atom-color)"
      },
      {
        tag: u.meta,
        color: "var(--ink-internal-syntax-meta-color)"
      },
      // emphasis types
      {
        tag: u.emphasis,
        color: "var(--ink-internal-syntax-emphasis-color)",
        fontStyle: "var(--ink-internal-syntax-emphasis-font-style)"
      },
      {
        tag: u.strong,
        color: "var(--ink-internal-syntax-strong-color)",
        fontWeight: "var(--ink-internal-syntax-strong-font-weight)"
      },
      {
        tag: u.strikethrough,
        color: "var(--ink-internal-syntax-strikethrough-color)",
        textDecoration: "var(--ink-internal-syntax-strikethrough-text-decoration)"
      },
      // comment group
      {
        tag: u.comment,
        color: "var(--ink-internal-syntax-comment-color)",
        fontStyle: "var(--ink-internal-syntax-comment-font-style)"
      },
      // monospace
      {
        tag: u.monospace,
        color: "var(--ink-internal-syntax-code-color)",
        fontFamily: "var(--ink-internal-syntax-code-font-family)"
      },
      // name group
      {
        tag: u.name,
        color: "var(--ink-internal-syntax-name-color)"
      },
      {
        tag: u.labelName,
        color: "var(--ink-internal-syntax-name-label-color)"
      },
      {
        tag: u.propertyName,
        color: "var(--ink-internal-syntax-name-property-color)"
      },
      {
        tag: u.definition(u.propertyName),
        color: "var(--ink-internal-syntax-name-property-definition-color)"
      },
      {
        tag: u.variableName,
        color: "var(--ink-internal-syntax-name-variable-color)"
      },
      {
        tag: u.definition(u.variableName),
        color: "var(--ink-internal-syntax-name-variable-definition-color)"
      },
      {
        tag: u.local(u.variableName),
        color: "var(--ink-internal-syntax-name-variable-local-color)"
      },
      {
        tag: u.special(u.variableName),
        color: "var(--ink-internal-syntax-name-variable-special-color)"
      },
      // headings
      {
        tag: u.heading,
        color: "var(--ink-internal-syntax-heading-color)",
        fontWeight: "var(--ink-internal-syntax-heading-font-weight)"
      },
      {
        tag: u.heading1,
        color: "var(--ink-internal-syntax-heading1-color)",
        fontSize: "var(--ink-internal-syntax-heading1-font-size)",
        fontWeight: "var(--ink-internal-syntax-heading1-font-weight)"
      },
      {
        tag: u.heading2,
        color: "var(--ink-internal-syntax-heading2-color)",
        fontSize: "var(--ink-internal-syntax-heading2-font-size)",
        fontWeight: "var(--ink-internal-syntax-heading2-font-weight)"
      },
      {
        tag: u.heading3,
        color: "var(--ink-internal-syntax-heading3-color)",
        fontSize: "var(--ink-internal-syntax-heading3-font-size)",
        fontWeight: "var(--ink-internal-syntax-heading3-font-weight)"
      },
      {
        tag: u.heading4,
        color: "var(--ink-internal-syntax-heading4-color)",
        fontSize: "var(--ink-internal-syntax-heading4-font-size)",
        fontWeight: "var(--ink-internal-syntax-heading4-font-weight)"
      },
      {
        tag: u.heading5,
        color: "var(--ink-internal-syntax-heading5-color)",
        fontSize: "var(--ink-internal-syntax-heading5-font-size)",
        fontWeight: "var(--ink-internal-syntax-heading5-font-weight)"
      },
      {
        tag: u.heading6,
        color: "var(--ink-internal-syntax-heading6-color)",
        fontSize: "var(--ink-internal-syntax-heading6-font-size)",
        fontWeight: "var(--ink-internal-syntax-heading6-font-weight)"
      },
      // contextual tag types
      {
        tag: u.keyword,
        color: "var(--ink-internal-syntax-keyword-color)"
      },
      {
        tag: u.number,
        color: "var(--ink-internal-syntax-number-color)"
      },
      {
        tag: u.operator,
        color: "var(--ink-internal-syntax-operator-color)"
      },
      {
        tag: u.punctuation,
        color: "var(--ink-internal-syntax-punctuation-color)"
      },
      {
        tag: u.link,
        color: "var(--ink-internal-syntax-link-color)"
      },
      {
        tag: u.url,
        color: "var(--ink-internal-syntax-url-color)"
      },
      // string group
      {
        tag: u.string,
        color: "var(--ink-internal-syntax-string-color)"
      },
      {
        tag: u.special(u.string),
        color: "var(--ink-internal-syntax-string-special-color)"
      },
      // processing instructions
      {
        tag: u.processingInstruction,
        color: "var(--ink-internal-syntax-processing-instruction-color)"
      }
    ])
  )
], Ht = (e) => {
  if (e.length > 0)
    return We(e);
}, Je = ([e, n]) => vn.create({
  doc: e().options.doc,
  selection: Ht(e().options.selections),
  extensions: [
    Mn.of([
      ...wn,
      ...$n
    ]),
    xt(),
    Et(),
    _n(),
    Bt(),
    At(),
    zt(),
    ...st([e, n])
  ]
}), Tt = ([e, n], t) => {
  n(ee(e(), { options: { doc: t } })), e().editor.setState(Je([e, n]));
}, Dt = ([e]) => e().options, Pt = async ([e, n], t) => {
  const { workQueue: r } = e();
  return r.enqueue(async () => {
    n(ee(e(), { options: t }));
    const o = await fe([e, n]);
    e().editor.dispatch({ effects: o });
  });
}, Ge = (e, n = {}) => {
  if (n.selections)
    return en(e, n.selections);
  if (n.selection)
    return he(e, n.selection);
  if (n.at)
    return Ot(e, n.at);
}, Ot = (e, n) => {
  const [t] = e;
  if (n === ke.Start)
    return he(e, { start: 0, end: 0 });
  if (n === ke.End) {
    const r = t().editor.state.doc.length;
    return he(e, { start: r, end: r });
  }
}, en = ([e], n) => {
  const { editor: t } = e();
  t.dispatch(
    t.state.update({
      selection: We(n)
    })
  );
}, he = (e, n) => en(e, [n]), qt = ([e], n) => {
  const { editor: t } = e();
  t.dispatch(
    t.state.update({
      changes: {
        from: 0,
        to: t.state.doc.length,
        insert: n
      }
    })
  );
}, It = ([e, n], { after: t, before: r, selection: o }) => {
  const { editor: i } = e(), s = o || $e([e, n]).pop() || { start: 0, end: 0 }, a = i.state.sliceDoc(s.start, s.end);
  de([e, n], `${r}${a}${t}`, s), Ge([e, n], { selections: [{ start: s.start + r.length, end: s.end + r.length }] });
}, Rt = (e, n) => {
  const t = {
    callbacks: {
      fulfilled: [],
      rejected: [],
      settled: []
    },
    status: "pending"
  }, r = (a, { resolve: l, reject: c }) => () => {
    try {
      const f = a(t.value);
      Promise.resolve(f).then(l, c);
    } catch (f) {
      c(f);
    }
  }, o = (a) => {
    t.status === "pending" && (t.status = "rejected", t.value = a, t.callbacks.rejected.forEach((l) => l()), t.callbacks.settled.forEach((l) => l()));
  }, i = (a) => {
    t.status === "pending" && (t.status = "fulfilled", t.value = a, t.callbacks.fulfilled.forEach((l) => l()), t.callbacks.settled.forEach((l) => l()));
  }, s = (a, l) => new Promise((c, f) => {
    t.status === "pending" && (a && t.callbacks.fulfilled.push(r(a, { resolve: c, reject: f })), l && t.callbacks.rejected.push(r(l, { resolve: void 0, reject: f }))), t.status === "fulfilled" && a && r(a, { resolve: c, reject: f })(), t.status === "rejected" && l && r(l, { resolve: void 0, reject: f })();
  });
  return queueMicrotask(() => {
    try {
      n(i, o);
    } catch (a) {
      o(a);
    }
  }), {
    ...e,
    [Symbol.toStringTag]: "awaitable",
    catch: s.bind(void 0, void 0),
    finally: (a) => new Promise((l, c) => {
      t.status === "pending" && t.callbacks.settled.push(r(a, { resolve: l, reject: c })), t.status === "fulfilled" && (a(), l(t.value)), t.status === "rejected" && (a(), c(t.value));
    }),
    then: s
  };
}, nn = (e) => {
  const n = {
    destroy: Dn.bind(void 0, e),
    focus: pe.bind(void 0, e),
    format: Xe.bind(void 0, e),
    getDoc: Un.bind(void 0, e),
    insert: de.bind(void 0, e),
    load: Tt.bind(void 0, e),
    options: Dt.bind(void 0, e),
    reconfigure: Pt.bind(void 0, e),
    select: Ge.bind(void 0, e),
    selections: $e.bind(void 0, e),
    update: qt.bind(void 0, e),
    wrap: It.bind(void 0, e)
  };
  return Rt(n, (t, r) => {
    try {
      const [o] = e;
      o().workQueue.enqueue(() => t(n));
    } catch (o) {
      r(o);
    }
  });
}, Nt = (e, n) => {
  const t = e[n];
  return t ? typeof t == "function" ? t() : Promise.resolve(t) : new Promise((r, o) => {
    (typeof queueMicrotask == "function" ? queueMicrotask : setTimeout)(o.bind(null, new Error("Unknown variable dynamic import: " + n)));
  });
}, re = new Proxy({}, {
  get: (e, n, t) => e[n] ? e[n] : e[n] = (async () => {
    const { importer: r } = await Nt(/* @__PURE__ */ Object.assign({ "./importers/katex.ts": () => import("./katex-5761b211.js") }), `./importers/${n}.ts`), o = await r();
    return e[n] = o, o;
  })()
}), Vt = (e, n) => {
  if (!re[e])
    return console.error("[katex] module is not resolvable");
  if ("then" in re[e])
    return Promise.resolve(re[e]).then(n);
  n(re[e]);
}, Wt = (e) => on({
  block: !0,
  side: -1,
  ...e
}), tn = (e) => j.line({
  ...e,
  type: "line"
}), Ft = (e) => j.mark({
  ...e,
  type: "mark"
}), rn = (e) => {
  const n = (t) => e.eq ? e.eq(t) : e.id ? e.id === t.id : !1;
  return {
    compare: (t) => n(t),
    coordsAt: () => null,
    destroy: () => {
    },
    eq: (t) => n(t),
    estimatedHeight: -1,
    ignoreEvent: () => !0,
    lineBreaks: 0,
    toDOM: () => document.createElement("span"),
    updateDOM: () => !1,
    ...e
  };
}, on = (e) => j.widget({
  block: !1,
  side: 0,
  ...e,
  widget: rn({
    ...e.widget
  }),
  type: "widget"
}), ie = (e, n) => {
  const t = [];
  return ce(e).iterate({
    enter: (r) => {
      if (n.nodes.includes(r.type.name)) {
        const o = n.onMatch(e, r);
        if (!o)
          return;
        Array().concat(o).forEach((s) => {
          if (s.spec.type === "line") {
            const a = tn({ ...s.spec, node: { ...r } });
            for (let l = e.doc.lineAt(r.from); l.from < r.to; l = e.doc.lineAt(l.to + 1))
              t.push(a.range(l.from));
          }
          if (s.spec.type === "mark") {
            const a = Ft({ ...s.spec, node: { ...r } }).range(r.from, r.to);
            t.push(a);
          }
          if (s.spec.type === "widget") {
            const a = on({ ...s.spec, node: { ...r } }).range(r.from);
            t.push(a);
          }
        });
      }
    },
    from: n.range?.from,
    to: n.range?.to
  }), t.sort((r, o) => r.from - o.from);
}, Ut = (e, n, t) => {
  const r = [], o = e.iter(), i = [], s = [];
  for (; o.value; )
    i.push({ ...o }), o.next();
  n.changes.iterChangedRanges((c, f, y, w) => {
    i.forEach(($) => {
      if ($.value) {
        const O = $.value.spec.node.to - $.value.spec.node.from, q = $.from, I = $.from + O;
        Qt(q, I, y, w) && s.push($);
      }
    });
    const M = { from: y, to: w };
    r.push(...ie(n.state, { ...t, range: M }));
  });
  const a = i.filter((c) => !s.includes(c)).flatMap((c) => {
    const f = c.value?.range(c.from);
    return f ? [f] : [];
  });
  return r.push(...a), r.sort((c, f) => c.from - f.from);
}, Qt = (e, n, t, r) => Math.max(e, t) <= Math.min(n, r), Ae = (e) => yn.define({
  create(n) {
    return te.of(ie(n, e));
  },
  update(n, t) {
    if (t.reconfigured || t.effects.length > 0)
      return te.of(ie(t.state, e));
    const r = n.map(t.changes);
    return t.docChanged ? e.optimize ? te.of(Ut(r, t, e)) : te.of(ie(t.state, e)) : r;
  },
  provide(n) {
    return V.decorations.from(n);
  }
}), Xt = (e) => Sn.define(e), Kt = (e) => e.charCodeAt(0), K = (e) => _e(e, [u.processingInstruction]), _e = (e, n = []) => {
  const t = Xt();
  return {
    node: Gt({
      name: e,
      style: [t, ...n]
    }),
    tag: t
  };
}, Yt = (e) => e, Zt = (e) => e, Jt = (e) => e, Gt = (e) => e, G = {
  dollarSign: Kt("$")
}, er = /\$.*?\$/, nr = /\$(?<math>.*?)\$/, se = _e("MathInline"), le = K("MathInlineMark"), Me = K("MathInlineMarkOpen"), Se = K("MathInlineMarkClose"), tr = Zt({
  name: se.node.name,
  parse: (e, n, t) => {
    if (n !== G.dollarSign)
      return -1;
    const r = e.slice(t, e.end);
    if (!er.test(r))
      return -1;
    const o = r.match(nr);
    if (!o?.groups?.math)
      return -1;
    const i = o.groups.math.length;
    return e.addElement(
      e.elt(
        se.node.name,
        t,
        t + i + 2,
        [
          e.elt(
            le.node.name,
            t,
            t + 1,
            [
              e.elt(
                Me.node.name,
                t,
                t + 1
              )
            ]
          ),
          e.elt(
            le.node.name,
            t + i + 1,
            t + i + 2,
            [
              e.elt(
                Se.node.name,
                t + i + 1,
                t + i + 2
              )
            ]
          )
        ]
      )
    );
  }
}), an = _e("MathBlock"), be = K("MathBlockMark"), sn = K("MathBlockMarkOpen"), ln = K("MathBlockMarkClose"), rr = Yt({
  name: "MathBlock",
  parse: (e, n) => {
    if (n.next !== G.dollarSign || n.text.charCodeAt(n.pos + 1) !== G.dollarSign)
      return !1;
    const t = e.lineStart + n.pos, r = t + n.text.length;
    for (; e.nextLine(); )
      if (n.next === G.dollarSign && n.text.charCodeAt(n.pos + 1) === G.dollarSign) {
        const o = e.lineStart + n.pos, i = o + n.text.length;
        e.addElement(
          e.elt(
            an.node.name,
            t,
            i,
            [
              e.elt(
                be.node.name,
                t,
                r,
                [
                  e.elt(
                    sn.node.name,
                    t,
                    r
                  )
                ]
              ),
              e.elt(
                be.node.name,
                o,
                i,
                [
                  e.elt(
                    ln.node.name,
                    o,
                    i
                  )
                ]
              )
            ]
          )
        ), e.nextLine();
        break;
      }
    return !0;
  }
}), or = Jt({
  defineNodes: [
    se.node,
    le.node,
    Se.node,
    Me.node,
    an.node,
    be.node,
    sn.node,
    ln.node
  ],
  parseBlock: [
    rr
  ],
  parseInline: [
    tr
  ]
}), ze = (e, n) => {
  Vt("katex", (t) => {
    t.render(e, n, { output: "html", throwOnError: !1 });
  });
}, ir = () => [
  J({
    key: "katex",
    type: An.grammar,
    value: async () => or
  }),
  J({
    key: "katex",
    value: async () => Ae({
      nodes: ["MathBlock", "MathBlockMarkClose", "MathBlockMarkOpen"],
      onMatch: (e, n) => {
        const t = ["ink-mde-line-math-block"];
        return n.name === "MathBlockMarkOpen" && t.push("ink-mde-line-math-block-open"), n.name === "MathBlockMarkClose" && t.push("ink-mde-line-math-block-close"), tn({
          attributes: {
            class: t.join(" ")
          }
        });
      },
      optimize: !1
    })
  }),
  J({
    key: "katex",
    value: async () => Ae({
      nodes: ["MathBlock"],
      onMatch: (e, n) => {
        const t = e.sliceDoc(n.from, n.to).split(`
`).slice(1, -1).join(`
`);
        if (t)
          return Wt({
            widget: rn({
              id: t,
              toDOM: () => {
                const r = document.createElement("div"), o = document.createElement("div");
                return r.className = "ink-mde-block-widget-container", o.className = "ink-mde-block-widget ink-mde-katex-target", r.appendChild(o), ze(t, o), r;
              },
              updateDOM: (r) => {
                const o = r.querySelector(".ink-mde-katex-target");
                return o ? (ze(t, o), !0) : !1;
              }
            })
          });
      },
      optimize: !1
    })
  }),
  J({
    key: "katex",
    value: async () => De(
      Pe.define([
        {
          tag: [se.tag, le.tag],
          backgroundColor: "var(--ink-internal-block-background-color)"
        },
        {
          tag: [Se.tag],
          backgroundColor: "var(--ink-internal-block-background-color)",
          borderRadius: "0 var(--ink-internal-border-radius) var(--ink-internal-border-radius) 0",
          paddingRight: "var(--ink-internal-inline-padding)"
        },
        {
          tag: [Me.tag],
          backgroundColor: "var(--ink-internal-block-background-color)",
          borderRadius: "var(--ink-internal-border-radius) 0 0 var(--ink-internal-border-radius)",
          paddingLeft: "var(--ink-internal-inline-padding)"
        }
      ])
    )
  }),
  J({
    key: "katex",
    value: async () => V.theme({
      ".ink-mde-line-math-block": {
        backgroundColor: "var(--ink-internal-block-background-color)",
        padding: "0 var(--ink-internal-block-padding) !important"
      },
      ".ink-mde-line-math-block-open": {
        borderRadius: "var(--ink-internal-border-radius) var(--ink-internal-border-radius) 0 0"
      },
      ".ink-mde-line-math-block-close": {
        borderRadius: "0 0 var(--ink-internal-border-radius) var(--ink-internal-border-radius)"
      }
    })
  })
], ar = () => {
  const e = {
    queue: [],
    workload: 0
  }, n = async () => {
    const t = e.queue.pop();
    t && (await t(), e.workload--, await n());
  };
  return {
    enqueue: (t) => new Promise((r, o) => {
      const i = async () => {
        try {
          await t(), r();
        } catch (s) {
          o(s);
        }
      };
      e.queue.push(i), e.workload++, !(e.workload > 1) && n();
    })
  };
}, xe = () => {
  const e = {
    doc: "",
    files: {
      clipboard: !1,
      dragAndDrop: !1,
      handler: () => {
      },
      injectMarkup: !0,
      types: ["image/*"]
    },
    hooks: {
      afterUpdate: () => {
      },
      beforeUpdate: () => {
      }
    },
    interface: {
      appearance: ae.Auto,
      attribution: !0,
      autocomplete: !1,
      images: !1,
      lists: !1,
      readonly: !1,
      spellcheck: !0,
      toolbar: !1
    },
    katex: !1,
    keybindings: {
      // Todo: Set these to false by default. https://codemirror.net/examples/tab
      tab: !0,
      shiftTab: !0
    },
    placeholder: "",
    plugins: [ir()],
    readability: !1,
    search: !0,
    selections: [],
    toolbar: {
      bold: !0,
      code: !0,
      codeBlock: !0,
      heading: !0,
      image: !0,
      italic: !0,
      link: !0,
      list: !0,
      orderedList: !0,
      quote: !0,
      taskList: !0,
      upload: !1
    },
    // This value overrides both `tab` and `shiftTab` keybindings.
    trapTab: void 0,
    vim: {
      open: !1
    }
  };
  return {
    doc: "",
    editor: {},
    extensions: dt(),
    options: e,
    root: Be(),
    target: Be(),
    workQueue: ar()
  };
}, sr = (e) => ee(xe(), e), Ce = (e, n = {}) => {
  const [t, r] = N(
    sr({ ...n, doc: e.doc || "", options: e })
  );
  return [t, r];
}, lr = `.ink-drop-zone{align-items:center;background-color:#00000080;color:var(--ink-internal-color);display:flex;inset:0;justify-content:center;position:var(--ink-internal-modal-position);z-index:100}.ink-drop-zone:not(.visible){display:none}.ink-drop-zone-modal{background-color:var(--ink-internal-block-background-color);border-radius:var(--ink-internal-border-radius);box-sizing:border-box;height:100%;max-height:20rem;max-width:40rem;padding:1rem;position:relative;width:100%}.ink-drop-zone-hide{cursor:pointer;height:1.75rem;position:absolute;right:.25rem;top:.25rem;width:1.75rem}.ink-drop-zone-hide svg{background-color:var(--ink-internal-block-background-color)}.ink-drop-zone-droppable-area{align-items:center;border:.2rem dashed var(--ink-internal-color);border-radius:.125rem;box-sizing:border-box;display:flex;flex-direction:column;font-size:1.25em;gap:1rem;height:100%;justify-content:center;padding:1rem;text-align:center}.ink-drop-zone-file-preview{align-items:center;display:flex;flex-wrap:wrap;gap:.5rem;max-width:25.5rem}.ink-drop-zone-file-preview-image{border:.125rem solid #222;border-radius:.125rem;box-sizing:border-box;height:6rem;object-fit:cover;padding:.5rem;width:6rem}
`, cr = /* @__PURE__ */ p("<span>uploading files..."), dr = /* @__PURE__ */ p('<div class="ink-drop-zone"><style></style><div class="ink-drop-zone-modal"><div class="ink-drop-zone-droppable-area"><div class="ink-drop-zone-file-preview"></div><!#><!/></div><div class="ink-drop-zone-hide"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z">'), ur = /* @__PURE__ */ p('<img class="ink-drop-zone-file-preview-image">'), fr = /* @__PURE__ */ p("<span>drop files here"), mr = () => {
  const [e, n] = N(0), [t, r] = N([]), [o, i] = N(!1), [s, a] = N(!1), [l, c] = Y(), f = () => {
    a(!1);
  }, y = (b) => {
    if (l().options.files.dragAndDrop) {
      b.preventDefault(), b.stopPropagation();
      const _ = b.dataTransfer;
      _?.files ? I(_.files) : (n(0), a(!1), r([]));
    }
  }, w = (b) => {
    l().options.files.dragAndDrop && (b.preventDefault(), n(e() + 1), a(!0));
  }, M = (b) => {
    l().options.files.dragAndDrop && (b.preventDefault(), n(e() - 1), e() === 0 && a(!1));
  }, $ = (b) => {
    l().options.files.dragAndDrop && (b.preventDefault(), a(!0));
  }, O = (b) => {
    l().options.files.dragAndDrop && (b.preventDefault(), n(0), a(!1));
  }, q = (b) => {
    if (l().options.files.clipboard) {
      b.preventDefault();
      const _ = b.clipboardData;
      _?.files && _.files.length > 0 && I(_.files);
    }
  }, I = (b) => {
    Array.from(b).forEach((_) => {
      r([...t(), _]);
    }), i(!0), a(!0), Promise.resolve(l().options.files.handler(b)).then((_) => {
      if (l().options.files.injectMarkup && _) {
        const Z = `![](${_})`;
        de([l, c], Z);
      }
    }).finally(() => {
      n(0), i(!1), a(!1), r([]);
    });
  };
  return Ve(() => {
    document.addEventListener("dragenter", w), document.addEventListener("dragleave", M), document.addEventListener("dragover", $), document.addEventListener("drop", O), l().root.addEventListener("paste", q);
  }), Cn(() => {
    document.removeEventListener("dragenter", w), document.removeEventListener("dragleave", M), document.removeEventListener("dragover", $), document.removeEventListener("drop", O), l().root.removeEventListener("paste", q);
  }), (() => {
    const b = m(dr), _ = b.firstChild, Z = _.nextSibling, W = Z.firstChild, k = W.firstChild, T = k.nextSibling, [C, D] = h(T.nextSibling), P = W.nextSibling;
    return _.textContent = lr, W.addEventListener("drop", y), g(k, d(Ln, {
      get each() {
        return t().slice(0, 8);
      },
      children: (S) => (() => {
        const B = m(ur);
        return ge((L) => {
          const z = S.name, H = URL.createObjectURL(S);
          return z !== L._v$ && Ee(B, "alt", L._v$ = z), H !== L._v$2 && Ee(B, "src", L._v$2 = H), L;
        }, {
          _v$: void 0,
          _v$2: void 0
        }), B;
      })()
    })), g(W, d(x, {
      get when() {
        return o();
      },
      get fallback() {
        return m(fr);
      },
      get children() {
        return m(cr);
      }
    }), C, D), P.$$click = f, ge(() => b.classList.toggle("visible", !!s())), ve(), b;
  })();
};
He(["click"]);
const gr = ([e, n]) => {
  const t = new V({
    dispatch: (r) => {
      const { options: o } = e(), i = r.newDoc.toString();
      o.hooks.beforeUpdate(i), t.update([r]), r.docChanged && (n({ ...e(), doc: i }), o.hooks.afterUpdate(i));
    },
    state: Je([e, n])
  });
  return t;
}, pr = () => {
  const [e, n] = Y(), t = gr([e, n]), {
    workQueue: r
  } = e();
  return n(ee(e(), {
    editor: t
  })), r.enqueue(async () => {
    const o = await fe([e, n]);
    t.dispatch({
      effects: o
    });
  }), t.dom;
}, kr = /* @__PURE__ */ p('<button class="ink-button" type="button">'), E = (e) => (() => {
  const n = m(kr);
  return n.$$click = (t) => e.onclick(t), g(n, () => e.children), ve(), n;
})();
He(["click"]);
const hr = `.ink-mde .ink-mde-toolbar{background-color:var(--ink-internal-block-background-color);color:inherit;display:flex;flex-shrink:0;overflow-x:auto;padding:.25rem}.ink-mde .ink-mde-toolbar .ink-mde-container{display:flex;gap:var(--ink-internal-toolbar-group-spacing)}.ink-mde .ink-mde-toolbar-group{display:flex;gap:var(--ink-internal-toolbar-item-spacing)}.ink-mde .ink-mde-toolbar .ink-button{align-items:center;background:none;border:none;border-radius:var(--ink-internal-border-radius);color:inherit;cursor:pointer;display:flex;height:2.25rem;justify-content:center;padding:.4rem;width:2.25rem}.ink-mde .ink-mde-toolbar .ink-button:hover{background-color:var(--ink-internal-block-background-color-on-hover)}.ink-mde .ink-mde-toolbar .ink-button>*{align-items:center;display:flex;height:100%}
`, br = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M6 4V10M6 16V10M6 10H14M14 10V4M14 10V16">'), xr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M6.5 10H10.5C12.1569 10 13.5 11.3431 13.5 13C13.5 14.6569 12.1569 16 10.5 16H6.5V4H9.5C11.1569 4 12.5 5.34315 12.5 7C12.5 8.65686 11.1569 10 9.5 10">'), vr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M11 4L9 16M13 4H9M7 16H11">'), oe = /* @__PURE__ */ p('<div class="ink-mde-toolbar-group"><!#><!/><!#><!/><!#><!/>'), yr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M2.00257 16H17.9955M2.00055 4H18M7 10H18.0659M2 8.5V11.4999C2.4 11.5 2.5 11.5 2.5 11.5V11V10.5M4 8.5V11.4999H4.5V11V10.5">'), wr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M13 4L7 16"></path><path d="M5 7L2 10L5 13"></path><path d="M15 7L18 10L15 13">'), $r = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M7 4L8 6">'), _r = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M7 16H17.8294"></path><path d="M2 16H4"></path><path d="M7 10H17.8294"></path><path d="M2 10H4"></path><path d="M7 4H17.8294"></path><path d="M2 4H4">'), Mr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M7 16H18"></path><path d="M2 17.0242C2.48314 17.7569 3.94052 17.6154 3.99486 16.7919C4.05315 15.9169 3.1975 16.0044 2.99496 16.0044M2.0023 14.9758C2.48544 14.2431 3.94282 14.3846 3.99716 15.2081C4.05545 16.0831 3.1998 16.0002 2.99726 16.0002"></path><path d="M7 10H18"></path><path d="M2.00501 11.5H4M2.00193 8.97562C2.48449 8.24319 3.9401 8.38467 3.99437 9.20777C4.05259 10.0825 2.04342 10.5788 2 11.4996"></path><path d="M7 4H18"></path><path d="M2 5.5H4M2.99713 5.49952V2.5L2.215 2.93501">'), Sr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M7 16H17.8294"></path><path d="M5 15L3 17L2 16"></path><path d="M7 10H17.8294"></path><path d="M5 9L3 11L2 10"></path><path d="M7 4H17.8294"></path><path d="M5 3L3 5L2 4">'), Cr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M9.12127 10.881C10.02 11.78 11.5237 11.7349 12.4771 10.7813L15.2546 8.00302C16.2079 7.04937 16.253 5.54521 15.3542 4.6462C14.4555 3.74719 12.9512 3.79174 11.9979 4.74539L10.3437 6.40007M10.8787 9.11903C9.97997 8.22002 8.47626 8.26509 7.52288 9.21874L4.74545 11.997C3.79208 12.9506 3.74701 14.4548 4.64577 15.3538C5.54452 16.2528 7.04876 16.2083 8.00213 15.2546L9.65633 13.5999">'), Lr = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><rect x="2" y="4" width="16" height="12" rx="1"></rect><path d="M7.42659 7.67597L13.7751 13.8831M2.00208 12.9778L7.42844 7.67175"></path><path d="M11.9119 12.0599L14.484 9.54443L17.9973 12.9785"></path><path d="M10.9989 7.95832C11.551 7.95832 11.9986 7.52072 11.9986 6.98092C11.9986 6.44113 11.551 6.00354 10.9989 6.00354C10.4468 6.00354 9.99921 6.44113 9.99921 6.98092C9.99921 7.52072 10.4468 7.95832 10.9989 7.95832Z">'), Er = /* @__PURE__ */ p('<svg viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-miterlimit="5" stroke-linecap="round" stroke-linejoin="round"><path d="M10 13V4M10 4L13 7M10 4L7 7"></path><path d="M2 13V15C2 15.5523 2.44772 16 3 16H17C17.5523 16 18 15.5523 18 15V13">'), jr = /* @__PURE__ */ p('<input type="file">'), Br = /* @__PURE__ */ p('<div class="ink-mde-toolbar"><style></style><div class="ink-mde-container"><!#><!/><!#><!/><!#><!/><!#><!/>'), Ar = () => {
  const [e, n] = Y(), [t, r] = N(), o = (a) => {
    Xe([e, n], a), pe([e, n]);
  }, i = (a) => {
    const l = a.target;
    l?.files && Promise.resolve(e().options.files.handler(l.files)).then((c) => {
      if (c) {
        const f = `![](${c})`;
        de([e, n], f), pe([e, n]);
      }
    });
  }, s = () => {
    t()?.click();
  };
  return (() => {
    const a = m(Br), l = a.firstChild, c = l.nextSibling, f = c.firstChild, [y, w] = h(f.nextSibling), M = y.nextSibling, [$, O] = h(M.nextSibling), q = $.nextSibling, [I, b] = h(q.nextSibling), _ = I.nextSibling, [Z, W] = h(_.nextSibling);
    return l.textContent = hr, g(c, d(x, {
      get when() {
        return e().options.toolbar.heading || e().options.toolbar.bold || e().options.toolbar.italic;
      },
      get children() {
        const k = m(oe), T = k.firstChild, [C, D] = h(T.nextSibling), P = C.nextSibling, [S, B] = h(P.nextSibling), L = S.nextSibling, [z, H] = h(L.nextSibling);
        return g(k, d(x, {
          get when() {
            return e().options.toolbar.heading;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Heading),
              get children() {
                return m(br);
              }
            });
          }
        }), C, D), g(k, d(x, {
          get when() {
            return e().options.toolbar.bold;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Bold),
              get children() {
                return m(xr);
              }
            });
          }
        }), S, B), g(k, d(x, {
          get when() {
            return e().options.toolbar.italic;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Italic),
              get children() {
                return m(vr);
              }
            });
          }
        }), z, H), k;
      }
    }), y, w), g(c, d(x, {
      get when() {
        return e().options.toolbar.quote || e().options.toolbar.codeBlock || e().options.toolbar.code;
      },
      get children() {
        const k = m(oe), T = k.firstChild, [C, D] = h(T.nextSibling), P = C.nextSibling, [S, B] = h(P.nextSibling), L = S.nextSibling, [z, H] = h(L.nextSibling);
        return g(k, d(x, {
          get when() {
            return e().options.toolbar.quote;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Quote),
              get children() {
                return m(yr);
              }
            });
          }
        }), C, D), g(k, d(x, {
          get when() {
            return e().options.toolbar.codeBlock;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.CodeBlock),
              get children() {
                return m(wr);
              }
            });
          }
        }), S, B), g(k, d(x, {
          get when() {
            return e().options.toolbar.code;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Code),
              get children() {
                return m($r);
              }
            });
          }
        }), z, H), k;
      }
    }), $, O), g(c, d(x, {
      get when() {
        return e().options.toolbar.list || e().options.toolbar.orderedList || e().options.toolbar.taskList;
      },
      get children() {
        const k = m(oe), T = k.firstChild, [C, D] = h(T.nextSibling), P = C.nextSibling, [S, B] = h(P.nextSibling), L = S.nextSibling, [z, H] = h(L.nextSibling);
        return g(k, d(x, {
          get when() {
            return e().options.toolbar.list;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.List),
              get children() {
                return m(_r);
              }
            });
          }
        }), C, D), g(k, d(x, {
          get when() {
            return e().options.toolbar.orderedList;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.OrderedList),
              get children() {
                return m(Mr);
              }
            });
          }
        }), S, B), g(k, d(x, {
          get when() {
            return e().options.toolbar.taskList;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.TaskList),
              get children() {
                return m(Sr);
              }
            });
          }
        }), z, H), k;
      }
    }), I, b), g(c, d(x, {
      get when() {
        return e().options.toolbar.link || e().options.toolbar.image || e().options.toolbar.upload;
      },
      get children() {
        const k = m(oe), T = k.firstChild, [C, D] = h(T.nextSibling), P = C.nextSibling, [S, B] = h(P.nextSibling), L = S.nextSibling, [z, H] = h(L.nextSibling);
        return g(k, d(x, {
          get when() {
            return e().options.toolbar.link;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Link),
              get children() {
                return m(Cr);
              }
            });
          }
        }), C, D), g(k, d(x, {
          get when() {
            return e().options.toolbar.image;
          },
          get children() {
            return d(E, {
              onclick: () => o(v.Image),
              get children() {
                return m(Lr);
              }
            });
          }
        }), S, B), g(k, d(x, {
          get when() {
            return e().options.toolbar.upload;
          },
          get children() {
            return d(E, {
              onclick: s,
              get children() {
                return [m(Er), (() => {
                  const ne = m(jr);
                  return Te(r, ne), ne.addEventListener("change", i), ne.style.setProperty("display", "none"), ne;
                })()];
              }
            });
          }
        }), z, H), k;
      }
    }), Z, W), a;
  })();
}, Le = 225, zr = (e, n = Le) => {
  const t = Dr(e, n), r = Pr(e), o = Tr(e), i = Hr(e);
  return [t, r, o, i].join(" | ");
}, Hr = (e) => `${Or(e)} chars`, Tr = (e) => `${qr(e)} lines`, Dr = (e, n = Le) => {
  const t = Ir(e, n), r = Math.floor(t), o = Math.floor(t % 1 * 60);
  return r === 0 ? `${o}s read` : `${r}m ${o}s to read`;
}, Pr = (e) => `${cn(e)} words`, Or = (e) => e.length, qr = (e) => e.split(/\n/).length, Ir = (e, n = Le) => cn(e) / n, cn = (e) => {
  const n = e.replace(/[']/g, "").replace(/[^\w\d]+/g, " ").trim();
  return n ? n.split(/\s+/).length : 0;
}, Rr = /* @__PURE__ */ p('<div class="ink-mde-readability"><span>'), Nr = /* @__PURE__ */ p("<span>&nbsp;|"), Vr = /* @__PURE__ */ p('<div class="ink-mde-attribution"><span>&nbsp;powered by <a class="ink-mde-attribution-link" href="https://github.com/davidmyersdev/ink-mde" rel="noopener noreferrer" target="_blank">ink-mde'), Wr = /* @__PURE__ */ p('<div class="ink-mde-details"><div class="ink-mde-container"><div class="ink-mde-details-content"><!#><!/><!#><!/><!#><!/>'), Fr = () => {
  const [e] = Y();
  return (() => {
    const n = m(Wr), t = n.firstChild, r = t.firstChild, o = r.firstChild, [i, s] = h(o.nextSibling), a = i.nextSibling, [l, c] = h(a.nextSibling), f = l.nextSibling, [y, w] = h(f.nextSibling);
    return g(r, d(x, {
      get when() {
        return e().options.readability;
      },
      get children() {
        const M = m(Rr), $ = M.firstChild;
        return g($, () => zr(e().doc)), M;
      }
    }), i, s), g(r, d(x, {
      get when() {
        return mn(() => !!e().options.readability)() && e().options.interface.attribution;
      },
      get children() {
        return m(Nr);
      }
    }), l, c), g(r, d(x, {
      get when() {
        return e().options.interface.attribution;
      },
      get children() {
        return m(Vr);
      }
    }), y, w), n;
  })();
}, Ur = `.ink-mde{border:2px solid var(--ink-internal-block-background-color);border-radius:var(--ink-internal-border-radius);color:var(--ink-internal-color, inherit);display:flex;flex-direction:var(--ink-internal-flex-direction, column)}.ink-mde .cm-cursor{border-left-color:var(--ink-internal-color, inherit);margin-left:0}.ink-mde .cm-tooltip{background-color:var(--ink-internal-block-background-color);border-radius:var(--ink-internal-border-radius);font-family:inherit;padding:.25rem}.ink-mde .cm-tooltip.cm-tooltip-autocomplete ul{font-family:inherit}.ink-mde .cm-tooltip.cm-tooltip-autocomplete ul li.ink-tooltip-option{border-radius:var(--ink-internal-border-radius);padding:.25rem}.ink-mde .cm-tooltip.cm-tooltip-autocomplete ul li.ink-tooltip-option[aria-selected]{background-color:#96969640}.ink-mde .cm-completionLabel{font-family:inherit}.ink-mde,.ink-mde *{box-sizing:border-box}.ink-mde,.ink-mde .ink-mde-editor{display:flex;flex-direction:column;flex-grow:1;flex-shrink:1;min-height:0}.ink-mde .ink-mde-editor{overflow:auto;padding:.5rem}.ink-mde .ink-mde-toolbar,.ink-mde .ink-mde-details{display:flex;flex-grow:0;flex-shrink:0}.ink-mde .ink-mde-details{background-color:var(--ink-internal-block-background-color);display:flex;padding:.5rem}.ink-mde .ink-mde-details-content{color:inherit;display:flex;filter:brightness(.75);flex-wrap:wrap;font-size:.75em;justify-content:flex-end}.ink-mde .ink-mde-attribution{display:flex;justify-content:flex-end}.ink-mde .ink-mde-attribution-link{color:currentColor;font-weight:600;text-decoration:none}.ink-mde .ink-mde-container{margin-left:auto;margin-right:auto;width:100%}.ink-mde .ink-mde-search-panel{background-color:var(--ink-internal-block-background-color);border-radius:.25rem;padding:.25rem;position:absolute;right:.25rem;top:.25rem;width:clamp(10rem,30%,100%)}.ink-mde .ink-mde-search-panel:focus-within{outline-color:#6495ed;outline-style:solid}.ink-mde .ink-mde-search-input{background-color:transparent;border:none;border-radius:.25rem;color:inherit;font-size:inherit;outline:none;width:100%}.ink-mde .ink-mde-task-toggle{cursor:pointer;height:1rem;line-height:2em;margin:0 .25rem 0 0;position:relative;top:-1px;vertical-align:middle;width:1rem}.ink-mde .cm-editor{display:flex;flex-direction:column;position:relative}.ink-mde .cm-panels{background-color:unset;border:unset;z-index:10}.ink-mde .cm-searchMatch{background-color:#6495ed50}.ink-mde .cm-searchMatch-selected{background-color:#6495edcc}.ink-mde .cm-scroller{align-items:flex-start;display:flex;font-family:var(--ink-internal-font-family);font-size:var(--ink-internal-editor-font-size);line-height:var(--ink-internal-editor-line-height);overflow-x:auto;position:relative}.ink-mde .cm-content{display:block;flex-grow:2;flex-shrink:0;margin:0;outline:none;padding:0;white-space:nowrap}.ink-mde .cm-lineWrapping{display:flex;flex-direction:column;flex-shrink:1;overflow-wrap:unset;word-break:break-word;white-space:pre-wrap;width:100%;overflow-x:hidden}.ink-mde .cm-line .cm-code,.ink-mde .cm-line .cm-blockquote{word-break:break-all}.ink-mde .cm-line{font-family:var(--ink-internal-font-family);padding:0}.ink-mde .cm-line span{display:inline}.ink-mde .cm-line.cm-blockquote{background-color:var(--ink-internal-block-background-color);border-left:.25rem solid currentColor;padding:0 var(--ink-internal-block-padding)}.ink-mde .cm-line.cm-blockquote.cm-blockquote-open{border-top-left-radius:var(--ink-internal-border-radius);border-top-right-radius:var(--ink-internal-border-radius);padding-top:var(--ink-internal-block-padding)}.ink-mde .cm-line.cm-blockquote.cm-blockquote-close{border-bottom-left-radius:var(--ink-internal-border-radius);border-bottom-right-radius:var(--ink-internal-border-radius);padding-bottom:var(--ink-internal-block-padding)}.ink-mde .cm-line.cm-codeblock{background-color:var(--ink-internal-block-background-color);font-family:var(--ink-internal-code-font-family);padding:0 var(--ink-internal-block-padding)}.ink-mde .cm-line.cm-codeblock.cm-codeblock-open{border-radius:var(--ink-internal-border-radius) var(--ink-internal-border-radius) 0 0;padding-top:var(--ink-internal-block-padding)}.ink-mde .cm-line.cm-codeblock.cm-codeblock-close{border-radius:0 0 var(--ink-internal-border-radius) var(--ink-internal-border-radius);padding-bottom:var(--ink-internal-block-padding)}.ink-mde .cm-line .cm-code{background-color:var(--ink-internal-block-background-color);font-family:var(--ink-internal-code-font-family);padding:var(--ink-internal-inline-padding) 0}.ink-mde .cm-line .cm-code.cm-code-open{border-radius:var(--ink-internal-border-radius) 0 0 var(--ink-internal-border-radius);padding-left:var(--ink-internal-inline-padding)}.ink-mde .cm-line .cm-code.cm-code-close{border-radius:0 var(--ink-internal-border-radius) var(--ink-internal-border-radius) 0;padding-right:var(--ink-internal-inline-padding)}.ink-mde .cm-image-backdrop{background-color:var(--ink-internal-block-background-color)}.ink-mde .ink-mde-block-widget-container{padding:.5rem 0}.ink-mde .ink-mde-block-widget{background-color:var(--ink-internal-block-background-color);border-radius:var(--ink-internal-border-radius);padding:var(--ink-internal-block-padding)}
`, Qr = /* @__PURE__ */ p("<style> "), Xr = () => {
  const [e, n] = Y(), [t, r] = N(me(e()));
  return En(() => {
    r(me(e()));
  }), Ve(() => {
    const o = window.matchMedia("(prefers-color-scheme: dark)"), i = (s) => {
      const {
        editor: a,
        root: l,
        workQueue: c
      } = e();
      l.isConnected ? c.enqueue(async () => {
        const f = await fe([e, n]);
        a.dispatch({
          effects: f
        }), r(me(e()));
      }) : o.removeEventListener("change", i);
    };
    o.addEventListener("change", i);
  }), (() => {
    const o = m(Qr), i = o.firstChild;
    return ge(() => i.data = `.ink {
  ${t().join(`
  `)}
}
${Ur}`), o;
  })();
}, Kr = /* @__PURE__ */ p('<div class="ink ink-mde"><!#><!/><!#><!/><!#><!/><div class="ink-mde-editor"></div><!#><!/>'), Yr = () => {
  const [e, n] = Y(), t = (r) => {
    n(ee(e(), {
      root: r
    }));
  };
  return (() => {
    const r = m(Kr), o = r.firstChild, [i, s] = h(o.nextSibling), a = i.nextSibling, [l, c] = h(a.nextSibling), f = l.nextSibling, [y, w] = h(f.nextSibling), M = y.nextSibling, $ = M.nextSibling, [O, q] = h($.nextSibling);
    return Te(t, r), gn(r, pn(Tn), !1, !0), g(r, d(Xr, {}), i, s), g(r, d(x, {
      get when() {
        return e().options.files.clipboard || e().options.files.dragAndDrop;
      },
      get children() {
        return d(mr, {});
      }
    }), l, c), g(r, d(x, {
      get when() {
        return e().options.interface.toolbar;
      },
      get children() {
        return d(Ar, {});
      }
    }), y, w), g(M, d(pr, {})), g(r, d(x, {
      get when() {
        return e().options.readability || e().options.interface.attribution;
      },
      get children() {
        return d(Fr, {
          store: [e, n]
        });
      }
    }), O, q), ve(), r;
  })();
}, dn = jn([() => xe(), (e) => typeof e == "function" ? e(xe()) : e]), Zr = (e) => d(dn.Provider, {
  get value() {
    return e.store;
  },
  get children() {
    return e.children;
  }
}), Y = () => Bn(dn), un = (e) => d(Zr, {
  get store() {
    return e.store;
  },
  get children() {
    return d(Yr, {
      get store() {
        return e.store;
      }
    });
  }
}), Jr = /* @__PURE__ */ p('<div class="ink-mde-textarea">'), mo = (e) => e, go = (e) => e, po = (e) => e, Gr = (e, n = {}) => {
  const t = Ce(n);
  return no(), kn(() => d(un, {
    store: t
  }), e), nn(t);
}, ko = (e, n = {}) => e.querySelector(Hn) ? Gr(e, n) : fn(e, n), eo = ({
  key: e = "",
  type: n,
  value: t
}) => new Proxy({
  key: e,
  type: n || "default"
}, {
  get: (r, o, i) => o === "value" && !r[o] ? (r.value = t(), Ye(r.value) ? r.value.then((s) => r.value = s) : r.value) : r[o]
}), ho = eo, fn = (e, n = {}) => {
  const t = Ce(n);
  return hn(() => d(un, {
    store: t
  }), e), nn(t);
}, bo = (e = {}) => (Ce(e), ""), no = () => {
  let e, n;
  e = window._$HY || (window._$HY = {
    events: [],
    completed: /* @__PURE__ */ new WeakSet(),
    r: {}
  }), n = (t) => t && t.hasAttribute && (t.hasAttribute("data-hk") ? t : n(t.host && t.host instanceof Node ? t.host : t.parentNode)), ["click", "input"].forEach((t) => document.addEventListener(t, (r) => {
    let o = r.composedPath && r.composedPath()[0] || r.target, i = n(o);
    i && !e.completed.has(i) && e.events.push([i, r]);
  })), e.init = (t, r) => {
    e.r[t] = [new Promise((o, i) => r = o), r];
  }, e.set = (t, r, o) => {
    (o = e.r[t]) && o[1](r), e.r[t] = [r];
  }, e.unset = (t) => {
    delete e.r[t];
  }, e.load = (t, r) => {
    if (r = e.r[t])
      return r[0];
  };
}, xo = (e, n = {}) => {
  const t = m(Jr), r = e.value;
  e.after(t), e.style.display = "none";
  const o = fn(t, {
    doc: r,
    ...n
  });
  return e.form && e.form.addEventListener("submit", () => {
    e.value = o.getDoc();
  }), o;
};
export {
  U as a,
  rn as b,
  go as c,
  mo as d,
  po as e,
  Q as f,
  eo as g,
  Gr as h,
  ko as i,
  ho as j,
  bo as k,
  je as l,
  ue as p,
  fn as r,
  no as s,
  xo as w
};
//# sourceMappingURL=index-694128c1.js.map
